using System;

public class HelloWorld
{
    public static void Main(string[] args)
    {
        string[] r = Console.ReadLine().Split();
        int n = int.Parse(r[0]), L = int.Parse(r[1]),i,j = -1;
        int[] niz = new int[n];
        r = Console.ReadLine().Split();
        for(i = 0;i<n;i++)
        {
            niz[i] = int.Parse(r[i]);
            if(niz[i] <= L && j == -1) j = i+1;
        }
        Console.WriteLine(j);
        Console.ReadLine();
    }
}